Table of Contents

- Overview
- Quick Look
- Document Model
  - `value`
  - `string`
  - `array`
  - `object`
  - Numbers
  - Initializer Lists
  - Accessing Deeply Nested Elements
- Allocators
  - Background
  - `storage_ptr`
  - Uses-allocator Construction
- Input/Output
  - Parsing
  - Serializing
- Value Conversion
  - Custom Conversions
  - Non-Throwing Conversions
  - Allocation Control
  - Contextual Conversions
  - Avoiding Physical Dependency
  - Direct Conversion
  - Conversion Customization Guidelines
- Examples
  - Pretty
  - Validate
  - Allocator-Aware Conversion
  - CBOR
- Frequently Asked Questions
- Benchmarks
- Comparison to Other Libraries
- Reference
- Release Notes

## `parser::operator=`

Assignment operator.

### Synopsis

    parser&
    operator=(
        parser const&) = delete;

### Description

This type is neither copyable nor movable. The operator is deleted.

Edit this page